Welcome!

This community is for professionals and enthusiasts of our products and services. Share and discuss the best content and new marketing ideas, build your professional profile and become a better marketer together.

0

Error SII:RESPUESTA en l10n_cl_fe

por
Sven
en 15-09-19 17:34 95 vistas

Desde las 3:24 de la mañana que recibo 1 correo desde el SII por minuto informándome que el DTE enviado se rechaza por DTE Repetido  y en Odoo encuentro el siguiente mensaje de error:


web_1  | 2019-09-15 20:05:45,826 1 INFO basededatos12 dicttoxml: Inside key_is_valid_xml(). Testing "TEDd"

db_1   | 2019-09-15 20:05:46.326 UTC [42] ERROR:  could not obtain lock on row in relation "ir_cron"

db_1   | 2019-09-15 20:05:46.326 UTC [42] STATEMENT:  SELECT *

db_1   |                                               FROM ir_cron

db_1   |                                               WHERE numbercall != 0

db_1   |                                                  AND active

db_1   |                                                  AND nextcall <= (now() at time zone 'UTC')

db_1   |                                                  AND id=11

db_1   |                                               FOR UPDATE NOWAIT

web_1  | 2019-09-15 20:05:48,060 1 ERROR basededatos12 odoo.addons.base.models.ir_cron: Call from cron Cron de envío y consulta estado documento en el sii for server action #324 failed in Job #11

web_1  | Traceback (most recent call last):

web_1  |   File "/usr/lib/python3/dist-packages/odoo/tools/safe_eval.py", line 350, in safe_eval

web_1  |     return unsafe_eval(c, globals_dict, locals_dict)

web_1  |   File "", line 1, in <module>

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/sii_cola_envio.py", line 159, in _cron_procesar_cola

web_1  |     c._procesar_tipo_trabajo()

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/sii_cola_envio.py", line 112, in _procesar_tipo_trabajo

web_1  |     docs.get_sii_result()

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/account_invoice.py", line 2095, in get_sii_result

web_1  |     xmltodict.parse(r.sii_message))

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/account_invoice.py", line 2075, in process_response_xml

web_1  |     if resp['SII:RESPUESTA']['SII:RESP_HDR']['ESTADO'] == '2':

web_1  | KeyError: 'SII:RESPUESTA'

web_1  |

web_1  | During handling of the above exception, another exception occurred:

web_1  |

web_1  | Traceback (most recent call last):

web_1  |   File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_cron.py", line 102, in _callback

web_1  |     self.env['ir.actions.server'].browse(server_action_id).run()

web_1  |   File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 553, in run

web_1  |     res = func(action, eval_context=eval_context)

web_1  |   File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 444, in run_action_code_multi

web_1  |     safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'

web_1  |   File "/usr/lib/python3/dist-packages/odoo/tools/safe_eval.py", line 373, in safe_eval

web_1  |     pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])

web_1  |   File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 86, in reraise

web_1  |     raise value.with_traceback(tb)

web_1  |   File "/usr/lib/python3/dist-packages/odoo/tools/safe_eval.py", line 350, in safe_eval

web_1  |     return unsafe_eval(c, globals_dict, locals_dict)

web_1  |   File "", line 1, in <module>

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/sii_cola_envio.py", line 159, in _cron_procesar_cola

web_1  |     c._procesar_tipo_trabajo()

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/sii_cola_envio.py", line 112, in _procesar_tipo_trabajo

web_1  |     docs.get_sii_result()

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/account_invoice.py", line 2095, in get_sii_result

web_1  |     xmltodict.parse(r.sii_message))

web_1  |   File "/mnt/extra-addons/l10n_cl_fe/models/account_invoice.py", line 2075, in process_response_xml

web_1  |     if resp['SII:RESPUESTA']['SII:RESP_HDR']['ESTADO'] == '2':

web_1  | ValueError: <class 'KeyError'>: "SII:RESPUESTA" while evaluating

web_1  | 'model._cron_procesar_cola()'


Cambié max_cron_threads = 1 , el error de la BD desapareció, pero los errores de "web_1 " continúan.


Dentro de esta factura en Odoo en Registro del Reclamo en SII aparece: (respuestaTo){ codResp = 9 descResp = "No existen registros de acuerdo a los par�metros ingresados" }

¿Cual es mi error? ¿Como se puede solucionar?

Gracias de antemano,




0
Sven
En 24-09-19 12:45

1- Es decir que es recomendable tener max_cron_threads siempre en 1
2- Desconozco que generó este error, simplemente empezó a ocurrir desde la noche. Finalmente eliminé el contenedor y empecé de nuevo. Era un DTE 33. Tal vez falta una validación de 'SII:RESPUESTA' antes de meterlo al IF de account_invoice.py", linea 2075.

Saludos!



0

Daniel Santibáñez Polanco

--Daniel Santibáñez Polanco--

1008
| 3 1 2
Melipilla, Chile
--Daniel Santibáñez Polanco--


Daniel Santibáñez Polanco
En 24-09-19 05:57

no es recomendable poner más de un hilo a la tarea de envío, la tarea de envío no es una tarea que se pueda tratar por hilos,


todo depende del xml que esté respondiendo el sii, puede que sea uno vacío


Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea los lineamientos

Herramientas de las preguntas

7 seguidor(es)

Estadísticas

Preguntado: 15-09-19 17:34
Visto: 95 veces
Última actualización: 24-09-19 12:45